import { ChangeDetectionStrategy, ChangeDetectorRef, Component, Input, OnInit } from "@angular/core";
import { Job } from "../../data-access/model/Job.model";
import { JobService } from "../../data-access/service/Job.service";
import { catchError, of, tap } from "rxjs";
import { CommonModule } from "@angular/common";
import { FormsModule } from "@angular/forms";

@Component(
  {
    selector: 'app-home-job-detail',
    templateUrl: './JobDetail.component.html',
    standalone: true,
    imports: [
      CommonModule,
      FormsModule
    ],
    changeDetection: ChangeDetectionStrategy.OnPush,
  }
)
export class JobDetailComponent implements OnInit{
  @Input() id: string = "";
  Job?: Job;
  constructor(private JobService: JobService, private _cdr: ChangeDetectorRef) { }

  ngOnInit(): void {
    this.JobService.jobGetById(this.id).pipe(
      tap((data) => {
        this.Job = data.responseData as Job;
        this._cdr.markForCheck();
      }),
      catchError((error) => {
        return of(null);
      })
    ).subscribe();
  }
}
