import { Injectable } from "@angular/core";
import { environment } from "../../../../environments/environment.development";
import { Observable } from "rxjs";
import { ResponseResult, Rows } from "../../../shared/data-access/interface/response.type";
import { Job } from "../model/Job.model";
import { HttpClient } from "@angular/common/http";

@Injectable({
  providedIn: 'root',
})
export class JobService {
  apiUrl = environment.API_DOMAIN + '/jobs';
  apiUrlById = environment.API_DOMAIN + '/jobById';
  constructor(private http: HttpClient) {}
  jobsGet(): Observable<ResponseResult<Rows<Job>>> {
    return this.http.get<ResponseResult<Rows<Job>>>(this.apiUrl);
  }
  jobGetById(id:string): Observable<ResponseResult<Job>> {
    return this.http.get<ResponseResult<Job>>(`${this.apiUrlById}/${id}`);
  }
  
}
