import { Routes } from '@angular/router';
import { LayoutComponent } from '../ui/layout.component';
import { LoginComponent } from '../../+login/feature/login.component';
import { AuthGuard } from '../../+login/data-access/guard/auth.guard';
import { AdminGuard } from '../../+login/data-access/guard/admin.guard';
import { LoginGuard } from '../../+login/data-access/guard/login.guard';

export const shellRoutes: Routes = [
  {
    path: '',
    component: LayoutComponent,
    children: [
      {
        path: '',
        pathMatch: 'full',
        redirectTo: 'home',
      },
      {
        path: 'home',
        canActivate: [],
        loadChildren: () => import('../../+home/home.routes'),
      },
      {
        path: 'ListJob',
        canActivate: [],
        loadComponent: () =>
          import('../../+home/component/JobList/JobList.component').then((m) => m.JobListCardComponent),
      },
      {
        path: 'DetailJob/:id',
        canActivate: [],
        loadComponent: () =>
          import('../../+home/component/JobDetail/JobDetail.component').then((m) => m.JobDetailComponent),
      },
    ],

  },
  {
    path: 'admin',
    children: [
      {
        path: '',
        canActivate: [AdminGuard],
        loadChildren: () => import('../../+admin/admin.routes'),
      },
    ],
  },
  {
    path: 'login',
    component: LoginComponent,
    children: [
      {
        path: '',
        canActivate: [LoginGuard],
        loadChildren: () => import('../../+login/login.routes'),

      }
    ]
  },
];
